                              sh404sef2 change log                              

                        (2011-12-13 18:47 - build #1028)                        



--------------------------------------------------------------------------------
 [ 2011-12-13 ] Version 2.4.5.1028
--------------------------------------------------------------------------------


    [new]    Added option to use shURL instead of full SEF url in social
             buttons. Especially useful for Tweeting, to better use those 140
             characters
             Tracker #67

    [chg]    We now delete a meta data record if user happens to clear all
             meta data fields. Save space and avoid having a meta data icon
             show in url manager when meta data have been cleared
             Tracker #391
    [chg]    Updated French translation
    [chg]    When saving data from Title and metas manager, if one url is
             incorrect, we now attempt to save remaining data, in case some of
             it is correct and can be saved
    [chg]    Social buttons should not be displayed when printing Joomla!
             articles
             Tracker #74
    [chg]    Added some styles to social buttons background
    [chg]    Added a check to prevent recording empty urls in 404 list
             Tracker #390

    [bug]    Display mysql error when using slow server mode and sorting urls
             by duplicates, meta or alias
             Tracker #389
    [bug]    Incorrectly tagged language files in main extension manifest file
    [bug]    If Joomla! full page cache is activated, social buttons may
             sometimes not be inserted, or may not work
    [bug]    Disable social buttons insertion if global "Activate SEO
             management" is disabled by user


--------------------------------------------------------------------------------
 [ 2011-11-22 ] Version 2.4.4.1017
--------------------------------------------------------------------------------


    [chg]    Added workaround for JDispatcher::...handler not recognized when
             running an opcache system

    [bug]    Notices can be displayed if site runs with sh404sef disabled and
             meta data management is activated


--------------------------------------------------------------------------------
 [ 2011-11-21 ] Version 2.4.3.1014
--------------------------------------------------------------------------------


    [new]    Updated Romanian translation

    [bug]    Unable to override social data on a url by url basis, only global
             values applied
             Tracker #383
    [bug]    Could display a notice error trying to redirect a 404 url, when
             there is no suggested sef url found


--------------------------------------------------------------------------------
 [ 2011-11-19 ] Version 2.4.2.1012
--------------------------------------------------------------------------------


    [chg]    Added protections so that social features are not triggered on
             404 pages


--------------------------------------------------------------------------------
 [ 2011-11-19 ] Version 2.4.1.1009
--------------------------------------------------------------------------------


    [bug]    Database error when upgrading from a previous version (site would
             work fine). Immediately installing a second time fixes the error.
    [bug]    Custom meta tags are not displayed
             Tracker #382


--------------------------------------------------------------------------------
 [ 2011-11-18 ] Version 2.4.0.1005
--------------------------------------------------------------------------------


    [new]    Analytics reports now includes social engagement information:
             Facebook likes, Tweet, 1+ actions
    [new]    Social buttons can be inserted automatically in Joomla! articles,
             below title or at end of article
    [new]    Added creation of social networking buttons, handling for
             Facebook Like and Send, Tweeter, Google +1 and the new Google
             Page badge. Will place social buttons anywhere in content, other
             extensions, modules or even templates
    [new]    Added automatic creation and management of Open Graph meta data,
             to allow better indexing by Facebook, Google+ and other social
             networks
    [new]    Added more protection against fatal error if user accidentally
             disable sh404SEF system plugin
    [new]    Added tracking of 404 pages on Google Analytics - you'll get 404s
             count on sh404SEF Analytics report, as well as on Google
             Analytics panel
    [new]    Added html5 rel and prev tags on paginated links. However, this
             feature may not be displayed with Joomla! default templates, as
             they use html overrides to perform pagination. Either comment out
             the pagination_item_active() function in templates override, if
             any, or modify the template override as per sh404SEF own
             pagination.php file. Note that Joomla! 1.6+ doesn't have this
             problem on default templates
             Tracker #372

    [chg]    Group meta tag insertion when possible, better performance on
             very large pages
    [chg]    Simplified similar urls plugin database query, to reduce overhead
             Tracker #373
    [chg]    Moved some options (itemid management) to core instead of plugin,
             so that they can be activated even if extension-specific plugin
             does not implement them

    [bug]    Whitelisting user agent doesn't prevent anti-flooding to operate
    [bug]    Notice errors could be displayed if no similar urls found when
             trying to redirect a 404
    [bug]    On multipage articles, when not displaying the table of content,
             first page has 2 different urls created
             Tracker #376
    [bug]    under some circumstances, custom page title and meta data may not
             be inserted in the page
    [bug]    Kunena plugin: wrong url for editing profile when "Short url to
             profile" option is enabled
             Tracker #369
    [bug]    On 404 error pages, if user removes the "similar urls" text from
             the template, the marker for the faulty requested urls is not
             replaced either
             Tracker #370
    [bug]    Regression: custom meta_ext plugin not used anymore


--------------------------------------------------------------------------------
 [ 2011-09-05 ] Version 2.3.0.988
--------------------------------------------------------------------------------


    [new]    Now providing a QRCode for each SEF url, in URL manager
             Tracker #319

    [chg]    Added max url lenght on custom urls input fields
    [chg]    Reduced url max length, very long urls could cause 404

    [bug]    Removed warning on some non-multilingual sites


--------------------------------------------------------------------------------
 [ 2011-06-30 ] Version 2.2.7.981
--------------------------------------------------------------------------------


    [new]    Automatic handling of canonical urls for print and pdf version of
             joomla articles, thanks to new Google "canonical in headers"
             feature

    [chg]    Kunena plugin largely updated with help from Matias Griese,
             increased performance and compatibility with all Kunena versions
             Tracker #355
    [chg]    Updated 'Home page URL' parameter tooltip
    [chg]    Updated links to new support site url

    [bug]    Jomsocial frontpage and profile page have same url when user not
             logged in
    [bug]    On url list, first attempt to reach page 2 or more after logging
             in stays on page one
             Tracker #359


--------------------------------------------------------------------------------
 [ 2011-05-30 ] Version 2.2.6.973
--------------------------------------------------------------------------------


    [chg]    Updated database helper to latest version
    [chg]    Separate Profile and frontpage SEF urls in Jomsocial plugin
             Tracker #353
    [chg]    Updated and completed Russian translation by Alex Smirnov
    [chg]    Optimization: don't set base on homepage

    [bug]    Specific sequence of user operations can lead to having custom
             sef urls in the database, but not showing in the url manager,
             particularly after purging urls
    [bug]    Various missing UTF-8 compatibilty flags when using
             htmlspecialchars
    [bug]    Security issue, XSS
    [bug]    Wrong check on redirect authorization: could allow redirecting on
             some ajax requests


--------------------------------------------------------------------------------
 [ 2011-04-30 ] Version 2.2.5.964
--------------------------------------------------------------------------------


    [chg]    When showing similar urls to redirect 404s, filters and selectors
             are now disabled
    [chg]    Updated JomSocial SEF url plugin to handle both pre and post
             JomSocial 2.2 versions
             Tracker #344

    [bug]    Sorting by hits or sef url does not work when using the "Redirect
             to a SEF url" feature of the 404 error page manager
             Tracker #349
    [bug]    Leftover mysql instruction not compatible with mysql 5.5+.
             Display errors while updating, witout other consequences


--------------------------------------------------------------------------------
 [ 2011-03-29 ] Version 2.2.4.955
--------------------------------------------------------------------------------


    [new]    More components displayed under the By components tab, including
             Joomla! default like mailto

    [chg]    Added handling of print task in myblog plugin
    [chg]    Aliases can now have query string parts
    [chg]    Separated forced update flag between version check and remote
             config check
    [chg]    When purging urls, we now delete all possible cache files in the
             cache directory, in case site is accessed through several domains
    [chg]    Clarified language on control panel module
             Tracker #337
    [chg]    On articles with pagebreaks, now accomodate JCE style of alt and
             title parameter ordering

    [bug]    Force non-sef if ssl may not work if link is created on a non-ssl
             page
    [bug]    Incorrect page number in page title tag for section blog layout
             Tracker #338
    [bug]    Compatibility with Joomfish/CB issue could cause login issue
    [bug]    Force non-sef urls when in https parameter does not work. Report
             and fix by cloonky
    [bug]    May switch back to non-ssl when ssl access is forced at menu item
             level
    [bug]    Import/export wizard use wrong table names (#__sh404sef_urls
             instead of #__redirection)


--------------------------------------------------------------------------------
 [ 2011-03-12 ] Version 2.2.3.945
--------------------------------------------------------------------------------


    [new]    Additionnal configuration data can now optionnally be read from a
             central configuration file, to make sure latest information is
             always used
    [new]    Google tracking variables (utm_xxx) are now filtered out before
             trying to find a match for custom page title or meta data.
    [new]    Backend icon module now also displays a message when sh404SEF is
             up to date
             Tracker #335
    [new]    Reworked short urls system, now called shURL, faster and shorter.
             Can be created without having to purge existing SEF urls.
             Prevent collisions with existing SEF or aliases, bad words
             filtering
    [new]    Added shortlinks tag configuration page
    [new]    Added SEF urls for user profile in kunena 1.6.x plugin
             Tracker #332
    [new]    Now reset base tag, as Joomla! does not handle UTF-8 urls
             properly
    [new]    Automatic rel canonical handling for products in multiple
             categories in Virtuemart
    [new]    Added rel canonical tag handling
             Fixed issue with "Read more" title insertion when titles have $
             sign in them
    [new]    Start using simplified database helper

    [chg]    pageId are now shURL!!
    [chg]    Docman plugins now default to non-sef for unknown tasks (failsafe
             for future evolutions of Docman)
    [chg]    Added protection against non-sef urls missing 'option' var when
             selecting SEF url plugin
    [chg]    Version checker can now handle multiple version file servers

    [bug]    Pagination footer does not work after using the ajax Save button
             on Title and metas manager
    [bug]    Issue with arrays in urls, when using only non-sef urls
    [bug]    shURL manager preview links do not work when SEF urls have been
             purged
    [bug]    Malformed html when editing a URL
    [bug]    Using a string with a $ for description or keywords tag may cause
             description or keyword to be empty
             Tracker #330


--------------------------------------------------------------------------------
 [ 2011-02-09 ] Version 2.2.2.941
--------------------------------------------------------------------------------


    [new]    Protection against Joomla! issue for home page link on
             non-default languages extended to more templates markup
             Tracker #321

    [bug]    Some warning can be displayed when using array vars in some SEF
             urls
    [bug]    URI is null when calling shSefRelToAbs() when doing some
             automatic redirections from non-sef to SEf, when Joomfish is used
    [bug]    Possible 404 page when logging in, when using Joomfish and
             /index.php/ or /index.php?/ rewrite mode


--------------------------------------------------------------------------------
 [ 2011-02-05 ] Version 2.2.1.920
--------------------------------------------------------------------------------



--------------------------------------------------------------------------------
 [ 2011-02-04 ] Version 2.2.1.917
--------------------------------------------------------------------------------


    [chg]    Updated MYSQL code for MYSQL 5.5 compatibility
    [chg]    Updated installer


--------------------------------------------------------------------------------
 [ 2011-02-04 ] Version 2.2.0.909
--------------------------------------------------------------------------------


    [new]    404 error page can now be easily transformed into alias (ie
             create a 301 redirect to an existing url). sh404sef will propose
             a list of similar URLs, or user can select from a list of all SEF
             urls.
             Alternatively, user can type in a non-sef url to redirect to
             Tracker #142
    [new]    Akeeba backup urls are now always left non-sef
             Tracker #314
    [new]    New version availability is now also displayed on Joomla! main
             control panel, in the sh404sef icon module
    [new]    Added ability to install and use SEF url plugins from Joomsef and
             Acesef. Those plugins can be installed using Joomla! standard
             installer.
             Added ability to select which type of plugin to use per component
             in sh404sef main config (sh404sef plugin, Joomla! router.php,
             Joomsef, Acesef)
    [new]    Added toolbar button to delete urls together with all their
             duplicates
             Tracker #312
    [new]    Added language strings for wizard-based dialogs action buttons
    [new]    Added Bulgarian translation, by Кирил Йовев (Kiril
             Yoviev)
             Tracker #289
    [new]    Reworked url cache system, more reliable and faster
    [new]    Improved url cache handler, improved file locking, faster,
             prepare for multi-site
             Tracker #122
    [new]    Added some code to protect Joomla!, sh404sef and other extensions
             from throwing warnings when running on a php 5.3.3+ server, with
             error_reporting set to display warnings, and no default timezone
             set. Thes warnings can break many things, including sh404sef.
             Proper fix is of course to setup timezone on the server
             Tracker #307

    [chg]    Updated Romanian translation by Barbu Valentin
    [chg]    Update com_sample.php sample plugin to show the creation of
             pageId (short urls)
    [chg]    $live_site joomla configuration is now recognized whether
             surrounded by single (') or double quote (")
    [chg]    Update to German translation, by Jürgen Hörmann
             Tracker #315
    [chg]    Plugins are now installable, ie developer can provide 3rd party
             extension SEF and meta plugin in the form of a regular Joomla!
             installable plugin.
             Fully backward compatible, no need to modify or update any
             existing plugin or extension
             Tracker #212
    [chg]    Vastly updated French translation, provided by Jacky Bondoux &
             Philippe Véron
             Changes made to allow multilingual post install messages and
             inline documentation page
             Tracker #311
    [chg]    Minor speed optimization
    [chg]    Removed conflict between old-joomla 1.0.x style SEF URL starting
             with "content" and sef urls created when a category or section is
             named "content"
             Tracker #308
    [chg]    Added logged information when in debug mode
    [chg]    Better labels arrangement on Analytics graphs, especially when
             there are several categories with very small numbers of pageviews
             or visits
    [chg]    Replaced userid with hash in path to analytics image cache
             Tracker #301

    [bug]    Slashes are added to 404 error page when using WYSIWYG editor on
             servers where magic_quote_gpc is on
             Tracker #320
    [bug]    Malformed html in a few templates
    [bug]    When an extension is set to "skip", when such a link is clicked,
             the auto-redirect from non-sef to sef still tries to SEF it
             Tracker #310
    [bug]    Some urls with indexed arrays are not processed properly
             Tracker #308
    [bug]    Under some circumstances, some manually customized second or
             third pages urls for blog view may not work properly
             Tracker #303
    [bug]    Some malformed html in analytics and version updates display
    [bug]    SEF urls with some UTF-8 characters may disapear, ie only domain
             name is displayed in links
    [bug]    Joomfish language detection on first visit breaks switching back
             to default language (using flags). Added another check to prevent
             this issue, but final resolution requires fixing bug in joomfish,
             reported as #24270
             Tracker #294
    [bug]    Analytics graph displays php error if there is an empty category
             in data sent back by Google
             Tracker #295
    [bug]    Some special characters are lost in non-sef urls, when they are
             urlencoded by the extension
             Tracker #304-293
    [bug]    Mosets tree language file error for Dutch language
             Tracker #305
    [bug]    Arrays in urls in "fallback" mode not processed properly
             Tracker #298
    [bug]    Similar urls user comment are not hidden if they have new line
             caracters (when there is no similar urls to show)


--------------------------------------------------------------------------------
 [ 2010-12-13 ] Version 2.1.9.787
--------------------------------------------------------------------------------


    [chg]    Missing index.html in cached analytics images created in tmp
             folder
             Tracker #279

    [bug]    Subscribe and unsubscribe to Kunena category don't work
             Tracker #292
    [bug]    Notice message on editing a PM jomsocial message
    [bug]    Discussion title get inserted twice in Jomsocial
             Tracker #284
    [bug]    Cannot edit JomSocial album title
             Tracker #283
    [bug]    Links to home page, except in main menu, gets default language
             code added
             Tracker #282
    [bug]    Double slash inserted in home link of main menu module


--------------------------------------------------------------------------------
 [ 2010-11-29 ] Version 2.1.8.777
--------------------------------------------------------------------------------


    [new]    Invalid Analytics web property ids are now cleaned up before
             being used
             Tracker #267

    [chg]    Virtuemart loses language information in the middle of the
             checkout process (when used with Joomfish, in non-default
             language)
             Tracker #272
    [chg]    Pageids manager would display pageids only for urls with SEF, now
             for all urls
    [chg]    When adding an alias, target url can now be an existing 404 sef
             url

    [bug]    Jomsocial create group event does not have group name in sef url
             Tracker #273
    [bug]    Jomsocial edit group conversation does not have group name in sef
             url
             Tracker #274
    [bug]    Missing data when exporting when number of items per page has
             been changed from default
             Tracker #277
    [bug]    404 urls are not listed correctly in "slow server" mode
             Tracker #276
    [bug]    Alias search in backend does not work
             Tracker #271
    [bug]    SQL injection vulnerability
    [bug]    Fixed Kunena voting feature
             Tracker #266


--------------------------------------------------------------------------------
 [ 2010-11-02 ] Version 2.1.7.761
--------------------------------------------------------------------------------


    [new]    Added parameter to similar urls plugin to exclude som NON-sef
             urls (ie: do not display any link from com_banners or
             com_newsfeeds)
    [new]    Added ability to filter similar urls on 404 error page with some
             words (entered in similar url plugin parameters page)
             Tracker #264
    [new]    Added parameter to allow inserting category in contacts urls
             Tracker #254

    [chg]    Added compatibility with upcoming 2.2 release of Joomfish
             Tracker #259
    [chg]    Added htmlspecialchars on title and description for XHTML
             validation
             Tracker #263
    [chg]    Preview pane Kunena editor button may not work on some
             configurations
             Tracker #262
    [chg]    Included changes by VinhCV to handle arrays in url for variables
             that are cast to a SEF url segment
             Tracker #251
    [chg]    Added handling of kunena thankyou url + portuguese translation
    [chg]    On some servers, PHP_SELF is not correctly set to index.php on
             home page
    [chg]    Forced skipping of JCE editor urls
             Tracker #244

    [bug]    Fixed pdf and rss links in Kunena plugin
             Tracker #239-242
    [bug]    Urls with "option/" in them go to a 404 error page
             Tracker #256
    [bug]    Only the first few aliases were displayed in aliases input box
             Tracker #252
    [bug]    UTF-8 urls are broken by recent security additionnal checks
             Tracker #246


--------------------------------------------------------------------------------
 [ 2010-10-12 ] Version 2.1.6.749
--------------------------------------------------------------------------------


    [chg]    Kunena 1.6 edit profile button not working

    [bug]    Urls with a + sign generate a 404 error page (introduced in last
             release, with security fixes)
             Tracker #237


--------------------------------------------------------------------------------
 [ 2010-10-08 ] Version 2.1.5.746
--------------------------------------------------------------------------------


    [chg]    Added or updated Romanian translation
             Tracker #236
    [chg]    Updated Kunena plugin to handle both pre and post 1.6.0 stable
             urls
             Tracker #234
    [chg]    Added class already loaded check in autoloader, in case some
             extension would load it twice (??)
    [chg]    Added check in case system plugin is included several times
    [chg]    Added check to protect agains notice error in case of malformed
             host name
    [chg]    Can display notice error or blank page when viewing analytics on
             servers where curl has been disabled after being enabled for a
             while (php version change usually)

    [bug]    Prevent notice error if Itemid is missing in com_content url
    [bug]    Having a $ sign followed by one or more letters in analytics
             password can break analytics features when configuration is being
             saved
             Tracker #232
    [bug]    Fix security vulnerability as per Joomla tracker 22767
    [bug]    Error when displaying error (!) message when editing urls, or
             editing aliases or deleting pageids


--------------------------------------------------------------------------------
 [ 2010-09-15 ] Version 2.1.4.734
--------------------------------------------------------------------------------


    [new]    Added slow server mode
             Tracker #216
    [new]    Added check to avoid creating aliases that already exists, as an
             alias or as a SEF url. Would cause infinite loops
             Tracker #217

    [chg]    Removed "Save duplicate urls" settings. Not recording duplicates
             would slow down sites too much
             Tracker #183
    [chg]    Added sanity check on number of displayed urls per page (< 500)
    [chg]    Analytics user name and password max length increased to 80 chars
    [chg]    Improved UTF8 url compatibility
    [chg]    Updated language: proper capitalization of various extensions
             names
    [chg]    Faster handling of backend urls lists display
    [chg]    Improved url cleaning on some joomla 1.0.x style urls
    [chg]    Reverted to not using language files for Joomla components menu
             item, would cause sh404sef item to be out of order (Joomla! does
             not seem to use translation before sorting menu items)

    [bug]    Kunena plugin does not remove pagination information properly
             (limit and limitstart), can end up with duplicated page numbers
    [bug]    When changing number of items per page in urls or other backend
             lists, the starting item of the new page may be wrong, needs
             changing the number of items per page again to be corrected
    [bug]    Unders some circumstances, Title and metas manager can throw
             error message: This XML file does not appear to have any style
             information associated with it
             Tracker #225
    [bug]    Display warning when using array variables as url parameters
             Tracker #226
    [bug]    Some duplicates may not be marked correctly as duplicates, both
             urls are considered main url
    [bug]    Current page number may not always be reset after purging 404
             pages list
    [bug]    Missing security inclusion checks in included library
    [bug]    Incorrect install file message on some websites


--------------------------------------------------------------------------------
 [ 2010-09-06 ] Version 2.1.3.680
--------------------------------------------------------------------------------


    [new]    Added language file for backend menu translation
             Tracker #208

    [chg]    Updated language strings
    [chg]    Removed obsolete smf plugin screens
    [chg]    Performance optimization, significant speed increase
    [chg]    Analytics dashboard is now brought to the forefront if user and
             password are valild, even if no Web Property ID is entered in
             configuration
    [chg]    Updated language string
             Tracker #210

    [bug]    Language plugin is not installed when upgrading over a pre-2.0
             version of sh404sef. Cause Fatal error: Class 'shjlan16Helper'
             not found... Quick fix is to simply immediately install a second
             time
             Tracker #213
    [bug]    Use of php 5.3+ deprecated function in graphic library, can throw
             warnings if error_display is set too low in php
             Tracker #287
    [bug]    Warning in analytics code on php 5.3+


--------------------------------------------------------------------------------
 [ 2010-08-31 ] Version 2.1.2.651
--------------------------------------------------------------------------------


    [new]    Added "Click to update" link next to date range selector on main
             analytics view, removed auto-update on account or group by new
             selection
    [new]    Google analytics authorization token is now stored in cache for a
             week, so as to reduce number of requests for token, which may be
             denied if done too frequently
    [new]    Disabled SSL peer verification, to allow connection to Google
             Analytics server using recent version of cUrl (where this
             verification is enabled by default)
    [new]    Added link to video tutorial from analytics configuration popup
             Tracker #204

    [chg]    Entering an empty analytics account password now clears the
             password, instead of leaving it untouched
    [chg]    Updated Zend http lib to 1.10.8

    [bug]    Can throw warning call_user_func_array() expects parameter 2 to
             be array...


--------------------------------------------------------------------------------
 [ 2010-08-30 ] Version 2.1.1.644
--------------------------------------------------------------------------------


    [bug]    Sometimes when using /index.php/ rewrite mode, 404 pages can
             occur on logging in, depending on site setup


--------------------------------------------------------------------------------
 [ 2010-08-27 ] Version 2.1.0.641
--------------------------------------------------------------------------------


    [new]    Improved offline plugin: can now also disable access for admins,
             improve security and save ressources
    [new]    Added quick icon on web site main control panel
    [new]    Additionnal tooltips and better tips display
    [new]    Added tooltips help text to analytics dashboard and manager,
             detailing each item and figure signification
    [new]    Now uses "upgrade" method: no need to uninstall previous version
             when upgrading. Just install new version over the old one!
    [new]    Better information display on analytics panel on new installs or
             on sites were analytics is disabled
    [new]    Integrate traffic analytics data collection and reports display

    [chg]    Updated help screen
    [chg]    Renamed all log files
             Tracker #190
    [chg]    Quick icon not visible if user is not administrator or
             superadministrator
    [chg]    Increased font size of main figures, for better readability
    [chg]    Check for current analytics acccount with and without www,
             instead of searching exact match
    [chg]    Added info about simplified analytics web site ownsership
             verification (possible with sh404sef)
    [chg]    Prevent request execution by framework when site is offline
             (safer and faster)
             Tracker #188
    [chg]    Improved similar urls plugin, search now on more urls
             Tracker #91

    [bug]    Multiple copies of plugins installed
             Tracker #200
    [bug]    Dollar sign ($) are stripped from page title
             Tracker #194
    [bug]    Wrong My photos, My videos links in Jomsocial
             Tracker #198
    [bug]    Wrong event details link in Jomsocial
             Tracker #193
    [bug]    Removed notice display in case of security attack blocked
             detection
    [bug]    Wrong logic disable SEO page content rewrite when analytics data
             collection is disabled
             Tracker #191
    [bug]    Rewrite mode /index.php?/ not working
    [bug]    Expanded sources pie chart area, so that all text labels are
             always visible
    [bug]    Error when creating Jomsocial groups or events
             Tracker #184,181
    [bug]    Mysql error in aliases manager on site where DB prefix is not
             jos_
             Tracker #185
    [bug]    Create an account url is not made SEF
    [bug]    Offline code plugin not installed by combined installer


--------------------------------------------------------------------------------
 [ 2010-08-09 ] Version 2.0.3.545
--------------------------------------------------------------------------------


    [bug]    Debugging information left when packaging version 2.0.2, show
             cache hits/misses at bottom of page


--------------------------------------------------------------------------------
 [ 2010-08-08 ] Version 2.0.2.542
--------------------------------------------------------------------------------


    [new]    Added protection for class autoloading feature in case other
             extension use similar function

    [chg]    Updated German translation by Jürgen Hörmann
             Tracker #150
    [chg]    Updated language in manifest file
    [chg]    SQL character set instructions are now surrounded in single
             quotes, seems to fix some Mysql-server version related issues
    [chg]    Added warning to tooltips that Trim friendly char should not be
             left empty

    [bug]    Incorrect Discussion "show all" url in JomSocial
             Tracker #145
    [bug]    Meta management not performed if sh404sef is globally disabled
    [bug]    Similar urls plugin throw error if request is shorter than
             minimum number of characters it is set to search for
             Tracker #174
    [bug]    Wrong language tag inserted in Joomla and Virtuemart pages
             Tracker #177
    [bug]    pageId tag in content is deleted when editing content on frontend
             Tracker #169


--------------------------------------------------------------------------------
 [ 2010-06-30 ] Version 2.0.1.531
--------------------------------------------------------------------------------


    [new]    Improved method for detecting POST data before performing
             redirections

    [chg]    Prevented possible warning in admin when using JRequest::getVar(
             'client'...
    [chg]    Updated Jomsocial plugin to work with events, added in JS 1.8
             Tracker #162
    [chg]    Component prefix is now always added to SEF url when using a
             router.php file, as these routers do not add prefix by themselves
    [chg]    Improved SEF urls for com_contact default component

    [bug]    Prepending and appending to page title do not work on other than
             Joomla regular content pages
             Tracker #166
    [bug]    May sometimes display warnings ("Could not delete folder") when
             uninstalling sh404sef
    [bug]    May display 2 instances of the submenu bar
             Tracker #158
    [bug]    Cannot edit 404 page in Chrome
             Tracker #159


--------------------------------------------------------------------------------
 [ 2010-06-15 ] Version 2.0.0.RC.522
--------------------------------------------------------------------------------


    [new]    Added parameters to adjust mobile template switcher. Works
             together with system plugin
    [new]    Added mobile device request, automatic template switcher
    [new]    Added url cache deletion even if no urls in db, in case user
             manually purge the db table directly
    [new]    All import features working, including import of pre-2.0 sh404sef
             export files
    [new]    Import of aliases working
    [new]    Export functions for all pages work
    [new]    First draft of wizard-based import/export
    [new]    Added components menu item icon
    [new]    Added persistent messages when saving parameters that can require
             urls purge. Include links to FAQ page on support site, and link
             to URL page manager
    [new]    Added menu bar on other than dashboard pages, to improve
             navigation
    [new]    Added configuration item to enable/disable automatic version
             check (under Advanced, Upgrade configuration)
    [new]    Added pageId deletion and purge
    [new]    Added pagedId creation, redirects and parameters
    [new]    Added separate table for pageIds
    [new]    Added workaround for IIS using Index.php instead of index.php on
             some occasions (merged from trunk)
    [new]    Meta data deletion works
    [new]    404 error page can now use alternate sub-templates from Joomla!
             template, like 'component' for instance
    [new]    Can save meta data from new Meta manager
    [new]    Merged back offline http code plugin from trunk
    [new]    Added new version check and display on control panel tab
    [new]    Security stats are update through ajax call
             -NEW-New icon sets for control panel and toolbars
    [new]    Separated security functions from SEF urls, so that both can be
             activated or disabled separately
    [new]    Added Quick control panel on main control panel
    [new]    Configuration saves to disk
    [new]    Configuration input pages as popups
    [new]    Controller, model and view to handle configuration
    [new]    Release to beta testers of basic features of new backend

    [chg]    Changed pageId on page display tag from {sh404sef_page_id} to
             {sh404sef_pageid}, for consistency
    [chg]    Removed risky "Purge" buttons from toolbars
    [chg]    Removed "Headers already sent when I got control message" for
             cases where HTTP code is 200. Left intact when we should have
             returned a 404, but could not because headers were sent
    [chg]    Replaced global $mainframe with JFactory::getApplication
    [chg]    Added extra quoting to prevent error messages in case of illegal
             characters in urls
             Tracker #133
    [chg]    Modified SQL udpdate instructions, for better utf8 collations
             differences handling
    [chg]    Removed all deprecated export/import code
    [chg]    Added protection against missing categories in Virtuemart plugin
    [chg]    Added check against security features actiavated globally before
             using log to file feature
    [chg]    Added help text on Alias manager, explaining that Aliases are
             created from URL manager, with a link to the url manager itself
             as well
    [chg]    More emphasis on the fact that pageId must also be activated
             under By component tab of configuration
    [chg]    Improved css for narrow layout
    [chg]    Updated language for Aliases manager help text on control panel
    [chg]    Dropped unused 'Hits' column on aliases manager
    [chg]    Updated language on Quick start panel
    [chg]    Better check of aliases for totally non-sef urls
    [chg]    Reset check version display after upgrade, without waiting for
             next day cache refresh or user Checking updates manually
    [chg]    Changed main "Enable" lable on Basic config to "Enable url
             optimization". Clearer now that security features are separate
             from url features
    [chg]    pagination : check that start item is not after total number of
             items. Set to
    [chg]    Reactivated Joomfish automatic language detection code
    [chg]    New version check is enabled by default
    [chg]    Update Quick start panel in background after saving or applying
             configuration (except for seo and error page config)
    [chg]    Reverted previous change and added a refresh of control panel
             after saving or applying configuration
    [chg]    Removed "enable" settings in basic config and security config, so
             as to not interfere or require a refresh of the main contrl panel
             if changed
    [chg]    Improved usability in edig configuartion and 404 page. Added
             preview button for urls
    [chg]    Remmoved check preventing storing a pre-existing non-sef url
    [chg]    Update to trunk, shared ssl and query vars
    [chg]    Update back, control panel and purge wording for clarity
    [chg]    Allow update response xml to be either text/xml (nginx) or
             application/xml (other)
    [chg]    Stripped down a bit Zend http client
    [chg]    Improved resilience to errors when checking for new version
    [chg]    Added more checks for file access : cache, logs, custom.sef.php
    [chg]    Improved display for url stats and unwriteable config files
    [chg]    Improved ajax progress bar on control panel
             -chg-Cleaned up old admin code
    [chg]    Modified version information
    [chg]    Updated to trunk

    [bug]    Cannot post Kunena forum response or edit on front end
             Tracker #151
    [bug]    Virtuemart plugin fails if uer select to not insert any category
             in url (error 500, introduced in last release)
    [bug]    Reverted change, need to catch all exception when doing version
             check, because of bug in current Zend framework, which fails if
             cURL is not installed, even if not used
    [bug]    Database stucture update code in install file has hardcoded
             jos_sh404sef_aliases instruction, would fail on sites which do
             not use default database prefix
    [bug]    Updated from trunk with wrong language when showing homepage
             (Virtuemart cart for instance)
    [bug]    Bad link to templates.css file
    [bug]    pageId incorrectly selected for 404 pages
    [bug]    Some 404 pages are counted twice
    [bug]    Error page user set Itemid would not be used. Error page
             sub-template would not be used
    [bug]    Backport of J! 1.6 language manager fails when running in debug
             mode due to missing JStream dependency
    [bug]    Spelling
    [bug]    Bad escaping of metat data before display would cause loosing
             UTF-8 caracters
    [bug]    Alias editing would not work from alias manager!
    [bug]    Missing view name in edit aliases links
    [bug]    Get non-var fix from trunk
    [bug]    Forced caching of updates on, in case admin deactivated it
    [bug]    Warning on security panel if there is no security log file for
             current month
    [bug]    Number of items not counted correctly on non-default layouts
    [bug]    Autoloaded does not load helper file in view
    [bug]    Alias selection does not work on duplicates list page (removed
             the drop-down)
    [bug]    Back button does not work on duplicates view, more generally, on
             lists showing in a popup
    [bug]    "Check all" check box does not work on any list view
    [bug]    Aliases manager back button does not work (js issue)
    [bug]    Incorrect case for meta table, will not work on some servers
    [bug]    Fixed autoloader, would not lower case path, which would fail on
             linux machines
